NAME
	exece - execute a program

SYNTAX
	int exece(string file, string *args);
	or
	int exece(string file, string *args, mapping(string:string) env);

DESCRIPTION
	This function transforms the Pike process into a process running
	the program specified in the argument 'file' with the argument 'args'.
	If the mapping 'env' is present, it will completely replace all
	environment variables before the new program is executed.
	This function only returns if something went wrong during exece(),
	and in that case it returns zero.

NOTA BENE
	The Pike driver _dies_ when this function is called. You must use
	fork() if you wish to execute a program and still run the Pike
	driver.

EXAMPLES
	exece("/bin/ls", ({"-l"}));
	exece("/bin/sh", ({"-c", "echo $HOME"}), (["HOME":"/not/home"]));

SEE ALSO
	files/fork, file->pipe
